Main Page Widgets Namespaces Book

# Gtk::SelectionData Class Reference

List of all members.

## Public Member Functions

| SelectionData ()
| SelectionData (GtkSelectionData* gobject, bool make_a_copy=true)
| SelectionData (const SelectionData& other)
SelectionData& | operator= (const SelectionData& other)
| ~SelectionData ()
void | swap (SelectionData& other)
GtkSelectionData* | gobj ()
| Provides access to the underlying C instance.
const GtkSelectionData* | gobj () const
| Provides access to the underlying C instance.
GtkSelectionData* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.
void | set (int format, const guint8* data, int length)
void | set (const std::string& type, int format, const guint8* data, int length)
| Assign a memory block of raw data.
void | set (const std::string& type, const std::string& data)
| Assign a string of raw data.
bool | set_text (const Glib::ustring& data)
| Assign UTF-8 encoded text.
Glib::ustring | get_text () const
| Gets the contents of the selection data as a UTF-8 string.
const guint8* | get_data () const
int | get_length () const
std::string | get_data_as_string () const
std::string | get_target () const
Glib::StringArrayHandle | get_targets () const
| See also Gtk::Clipboard::request_targets().
GdkAtom | get_selection () const
| Returns the ID of the selection.
std::string | get_data_type () const
| Returns the type of the data as set by SelectionData::set().
int | get_format () const
Glib::RefPtr<Gdk::Display> | get_display ()
Glib::RefPtr<const Gdk::Display> | get_display () const
bool | targets_include_text () const
| Given a Gtk::SelectionData object holding a list of targets, determines if any of the targets in targets can be used to provide text.

## Protected Attributes

GtkSelectionData* | gobject_

## Related Functions

(Note that these are not member functions.)
void | swap (SelectionData& lhs, SelectionData& rhs)
Gtk::SelectionData | wrap (GtkSelectionData* object, bool take_copy=false)

## Constructor & Destructor Documentation

Gtk::SelectionData::SelectionData | ( |  | ) |

Gtk::SelectionData::SelectionData | ( | GtkSelectionData* | gobject,
|  | bool | make_a_copy = `true`
| ) | `[explicit]`

Gtk::SelectionData::SelectionData | ( | const SelectionData& | other | ) |

Gtk::SelectionData::~SelectionData | ( |  | ) |

## Member Function Documentation

const guint8* Gtk::SelectionData::get_data | ( |  | ) | const

std::string Gtk::SelectionData::get_data_as_string | ( |  | ) | const

std::string Gtk::SelectionData::get_data_type | ( |  | ) | const

| Returns the type of the data as set by SelectionData::set().

Glib::RefPtr<const Gdk::Display> Gtk::SelectionData::get_display | ( |  | ) | const

Glib::RefPtr<Gdk::Display> Gtk::SelectionData::get_display | ( |  | ) |

int Gtk::SelectionData::get_format | ( |  | ) | const

int Gtk::SelectionData::get_length | ( |  | ) | const

GdkAtom Gtk::SelectionData::get_selection | ( |  | ) | const

| Returns the ID of the selection.

std::string Gtk::SelectionData::get_target | ( |  | ) | const

Glib::StringArrayHandle Gtk::SelectionData::get_targets | ( |  | ) | const

| See also Gtk::Clipboard::request_targets().

Glib::ustring Gtk::SelectionData::get_text | ( |  | ) | const

Gets the contents of the selection data as a UTF-8 string.

Returns:
  If the selection data contained a recognized text type and it could be converted to UTF-8, a string containing the converted text, otherwise an empty string.

const GtkSelectionData* Gtk::SelectionData::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C instance.

GtkSelectionData* Gtk::SelectionData::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C instance.

GtkSelectionData* Gtk::SelectionData::gobj_copy | ( |  | ) | const

| Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.

SelectionData& Gtk::SelectionData::operator= | ( | const SelectionData& | other | ) |

void Gtk::SelectionData::set | ( | const std::string& | type,
|  | const std::string& | data
| ) |

Assign a string of raw data.

Store new data into the Gtk::SelectionData object. Should _only_ by called from a selection handler callback.

Parameters:

  | type | The type of the selection.
  | data | A string that contains the data (does not have to be text).

void Gtk::SelectionData::set | ( | const std::string& | type,
|  | int | format,
|  | const guint8* | data,
|  | int | length
| ) |

Assign a memory block of raw data.

Store new data into the Gtk::SelectionData object. Should _only_ by called from a selection handler callback. A 0-byte terminates the stored data.

Parameters:

  | type | The type of the selection.
  | format | The data format, i.e. the number of bits in a unit.
  | data | Pointer to the data (will be copied).
  | length | The length of the data block in bytes.

void Gtk::SelectionData::set | ( | int | format,
|  | const guint8* | data,
|  | int | length
| ) |

bool Gtk::SelectionData::set_text | ( | const Glib::ustring& | data | ) |

Assign UTF-8 encoded text.

Sets the contents of the selection from a UTF-8 encoded string. The string is converted to the form determined by get_target().

Parameters:

  | data | A UTF-8 encoded string.

Returns:
  `true` if the selection was successfully set, otherwise `false`.

void Gtk::SelectionData::swap | ( | SelectionData& | other | ) |

bool Gtk::SelectionData::targets_include_text | ( |  | ) | const

Given a Gtk::SelectionData object holding a list of targets, determines if any of the targets in targets can be used to provide text.

Returns:
  `true` if selection_data holds a list of targets, and a suitable target for text is included, otherwise `false`.

## Friends And Related Function Documentation

void swap | ( | SelectionData& | lhs,
|  | SelectionData& | rhs
| ) | `[related]`

Parameters:

  | lhs | The left-hand side
  | rhs | The right-hand side

Gtk::SelectionData wrap | ( | GtkSelectionData* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

## Member Data Documentation

GtkSelectionData* Gtk::SelectionData::gobject_`[protected]`

The documentation for this class was generated from the following file:

- selectiondata.h